clear all
close all
clc
data ={'CLIM30','CLIM30ML'};
plot_color = {'redblue','redblue','redblue'};
var = {'U','V','T','Q'};
units ={'$m/s$','$m/s$','$K$','$g/kg$'};
sig =[1:1:72];
a = [0,1,1];


% Plots Annual zonally averaged mean bias for U,V,T,Q
figure(1)
tcl = tiledlayout(4,2,"TileSpacing","compact");
for jv = 1:length(var)
    for jd = 1:length(data)

        % Reference Data: RD
        source_ref = ['2D_lat_level/','ERA5','_',var{jv},'_1979-2014.nc'];
        lat_ref = ncread(source_ref,'lat');
        lev_ref = ncread(source_ref,'lev');
        name = var{jv};
        p_ref = ncread(source_ref,name);
        % Comparisson Data: CR, ML(CR)
        source = ['2D_lat_level/',data{jd},'_',var{jv},'_1979-2014.nc'];
        lat = ncread(source,'lat');
        lev = ncread(source,'lev');
        name = var{jv};
        p = ncread(source,name);
        % Bias
        bias = (p_ref-p)';
        if jd == 1
            limit = max(abs(bias(:)));
        end
        % Plot
        nexttile(tcl)
        contourf(lat,sig,bias,40,'LineStyle','none')
        xlabel('$\deg lat.$','Interpreter','latex')
        ylabel('$z$','Interpreter','latex')
        set(gca,'FontSize',15,'fontname','times', 'YDir', 'reverse')
        ylim([10,72])
        colormap(plot_color{jd}); clim([-limit,limit])
        cb = colorbar();
        ylabel(cb,units{jv},'FontSize',15,'Rotation',270,'Interpreter','latex')
        pbaspect([1 1 1])
        if jd ==1 && jv ==1
            title('CR')
        elseif jd == 2 && jv ==1
            title('ML(CR)')
        end
    end
end