clear all
close all
clc
data = {'ERA5','CLIM30','CLIM30ML'};
titles = {'RD','CR','ML(CR)'};
plot_color = {'redblue','redblue','redblue'};
var = {'UBOT','VBOT','TBOT','QBOT','IVT'};
units = {'$m/s$','$m/s$','$K$','$g/kg$','$g/kg$'};



% Plots Annual Mean Field for U,V,T,Q at lowest sigma level, as well as
% mean integrated vapor transport(IVT)

for jv = 1:length(var)
     name = var{jv};
    figure(jv)
    tcl = tiledlayout(3,1,"TileSpacing","compact");
    for jd =1:length(data)
        source = ['2D_map/',data{jd},'_',var{jv},'_1979-2014.nc'];
        if  strcmp(var{jv},'IVT') && strcmp(data{jd},'ERA5')
            lat = ncread(source,'latitude');
            lon = ncread(source,'longitude');
        else
            lat = ncread(source,'lat');
            lon = ncread(source,'lon');
        end

        p = ncread(source,name);

        % Plot
        nexttile(tcl)
        contourf(lon,lat,p',40,'LineStyle','none')
        xlabel('deg. lon.','Interpreter','latex')
        ylabel('deg. lat.','Interpreter','latex')
        set(gca,'FontSize',15,'fontname','times')
        title(data{jd})
        ylim([10,72])
        colormap('jet');
        cb = colorbar();
        ylabel(cb,units{jv},'FontSize',15,'Rotation',270,'Interpreter','latex')

    end
end


